function enableintervall

%   enableintervall

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

global handles intervallstatus
starttimeedit = findobj('tag','starttimeedit');
endtimeedit = findobj('tag','endtimeedit');

if get(gco,'Value')==1
    set(starttimeedit,'Enable','on');
    set(endtimeedit,'Enable','on');
    set(starttimeedit,'BackgroundColor',[1 1 1]);
    set(endtimeedit,'BackgroundColor',[1 1 1]);
    intervallstatus = 1;
else
    set(starttimeedit,'Enable','off');
    set(endtimeedit,'Enable','off');
    set(starttimeedit,'BackgroundColor',[0.8 0.8 0.8]);
    set(endtimeedit,'BackgroundColor',[0.8 0.8 0.8]);
    intervallstatus = 0;
end

return